%define upstream_name    Carp-Assert
%define	upstream_version 0.22

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2

Summary:    Carp::Assert - executable comments
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Carp/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Carp)
BuildRequires: perl(Exporter)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(Test::More) >= 0.880.0
BuildRequires: perl(strict)
BuildRequires: perl(vars)
BuildRequires: perl(warnings)
BuildArch:  noarch

%description
Carp::Assert is intended for a purpose like the ANSI C library assert.h.
If you're already familiar with assert.h, then you can probably skip
this and go straight to the FUNCTIONS section.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor
%__make

%check
%__make test

%install
%make_install

%files
%doc Changes INSTALL META.json META.yml MYMETA.yml README
%{perl_vendorlib}/Carp
%{_mandir}/*/*

%changelog
* Sat Jun 28 2025 umeabot <umeabot> 0.220.0-2.mga10
+ Revision: 2218579
- Mageia 10 Mass Rebuild

* Tue Aug 29 2023 tv <tv> 0.220.0-1.mga10
+ Revision: 1980927
- update to 0.22

* Sun Mar 20 2022 umeabot <umeabot> 0.210.0-9.mga9
+ Revision: 1802176
- Mageia 9 Mass Rebuild

* Wed Feb 12 2020 umeabot <umeabot> 0.210.0-8.mga8
+ Revision: 1493018
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std

* Wed Sep 19 2018 umeabot <umeabot> 0.210.0-7.mga7
+ Revision: 1265937
- Mageia 7 Mass Rebuild

* Sat Jun 18 2016 pterjan <pterjan> 0.210.0-6.mga6
+ Revision: 1022836
- Rebuild for perl 5.22.2

* Mon Feb 08 2016 umeabot <umeabot> 0.210.0-5.mga6
+ Revision: 949338
- Mageia 6 Mass Rebuild

* Sun Oct 19 2014 umeabot <umeabot> 0.210.0-4.mga5
+ Revision: 789647
- Rebuild to potentially add missing dependencies

* Wed Oct 15 2014 umeabot <umeabot> 0.210.0-3.mga5
+ Revision: 738856
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.210.0-2.mga5
+ Revision: 683742
- Mageia 5 Mass Rebuild

* Thu Jun 26 2014 jquelin <jquelin> 0.210.0-1.mga5
+ Revision: 639943
- update to 0.21

* Fri Oct 18 2013 umeabot <umeabot> 0.200.0-3.mga4
+ Revision: 509595
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.200.0-2.mga3
+ Revision: 363794
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Jan 26 2011 jquelin <jquelin> 0.200.0-1.mga1
+ Revision: 39983
- mageia rebuild
- imported package perl-Carp-Assert

